Bug 19697 - Move template JavaScript to the footer: Search results
Summary: Move template JavaScript to the footer: Search results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-27 13:46 UTC by Owen Leonard
Modified: 2017-12-14 17:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19697: Move template JavaScript to the footer: Search results (20.94 KB, patch)
2017-11-27 15:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19697: Move template JavaScript to the footer: Search results (20.99 KB, patch)
2017-11-28 07:22 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19697: Move template JavaScript to the footer: Search results (21.05 KB, patch)
2017-12-07 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-27 13:46:14 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for the catalog search results page.
Comment 1 Owen Leonard 2017-11-27 15:10:17 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-11-28 07:22:43 UTC
Created attachment 69412 [details] [review]
Bug 19697: Move template JavaScript to the footer: Search results

This patch modifies the staff client catalog search results template so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the various JavaScript-driven features
of the results page: Floating toolbar, cart, lists, cover images, search
to hold, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-07 09:05:31 UTC
Created attachment 69598 [details] [review]
Bug 19697: Move template JavaScript to the footer: Search results

This patch modifies the staff client catalog search results template so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the various JavaScript-driven features
of the results page: Floating toolbar, cart, lists, cover images, search
to hold, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-11 14:37:27 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 17:59:44 UTC
Awesome work all! Skipping for 17.11, enhancement.